Debian Bug report logs - #631657
GNU/kFreeBSD support

version graph

Package: dkms; Maintainer for dkms is Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>; Source for dkms is src:dkms.

Reported by: Robert Millan <rmh@debian.org>

Date: Sat, 25 Jun 2011 20:12:02 UTC

Severity: wishlist

Tags: patch

Found in version 2.1.1.2-7

Fixed in version dkms/2.2.0.1-2

Done: Giuseppe Iuculano <iuculano@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, debian-bsd@lists.debian.org, debian-bsd@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#631657; Package dkms. (Sat, 25 Jun 2011 20:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, debian-bsd@lists.debian.org, debian-bsd@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sat, 25 Jun 2011 20:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: GNU/kFreeBSD support
Date: Sat, 25 Jun 2011 22:08:54 +0200
[Message part 1 (text/plain, inline)]
Package: dkms
Version: 2.1.1.2-7
Severity: wishlist
Tags: patch
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

This patch adds GNU/kFreeBSD support to DKMS.  It can be tested with [1],
though it also needs fixes in glibc-bsd SVN which haven't been uploaded
to the archive yet.

[1] http://people.debian.org/~rmh/fuse/fuse-dkms_0.3.9~pre1.20080208-1_all.deb

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.2-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dkms depends on:
ii  build-essential               11.5       Informational list of build-essent
ii  coreutils                     8.5-1      GNU core utilities
ii  dpkg-dev                      1.16.0.3   Debian package development tools
ii  gcc                           4:4.6.0-6  GNU C compiler
ii  kldutils [module-init-tools]  8.2+ds1-1  tools for managing kFreeBSD module
ii  make                          3.81-8.1   An utility for Directing compilati
ii  patch                         2.6.1-2    Apply a diff file to an original

Versions of packages dkms recommends:
ii  fakeroot                      1.16-1     tool for simulating superuser priv
pn  linux-headers-2.6-686 | linux <none>     (no description available)
pn  linux-image                   <none>     (no description available)
ii  sudo                          1.7.4p6-1  Provide limited super user privile

dkms suggests no packages.

-- no debconf information
[kfreebsd.patch (text/plain, attachment)]

Added indication that bug 631657 blocks 613300 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 26 Jun 2011 12:59:44 GMT) Full text and rfc822 format available.

Added indication that bug 631657 blocks 632944 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 07 Jul 2011 09:21:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#631657; Package dkms. (Sat, 09 Jul 2011 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sat, 09 Jul 2011 22:18:03 GMT) Full text and rfc822 format available.

Message #14 received at 631657@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 631657@bugs.debian.org
Cc: Giuseppe Iuculano <iuculano@debian.org>
Subject: new patch
Date: Sun, 10 Jul 2011 00:14:56 +0200
[Message part 1 (text/plain, inline)]
Hi,

Here's a new patch.  I made a few small adjustments to make it less intrusive.

Btw, it'd be very nice to have this for fuse4bsd (RFP #631657), which
is intended to be DKMS-based.  Do you plan an upload of DKMS soon?

-- 
Robert Millan
[kfreebsd.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#631657; Package dkms. (Fri, 15 Jul 2011 11:12:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Fri, 15 Jul 2011 11:12:38 GMT) Full text and rfc822 format available.

Message #19 received at 631657@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: Robert Millan <rmh@debian.org>, 631657@bugs.debian.org, DKMS maintainers <pkg-dkms-maint@lists.alioth.debian.org>
Subject: Re: [Pkg-dkms-maint] Bug#631657: new patch
Date: Fri, 15 Jul 2011 13:01:48 +0200
[Message part 1 (text/plain, inline)]
Hi Robert,

On 07/10/2011 12:14 AM, Robert Millan wrote:
> Here's a new patch.  I made a few small adjustments to make it less intrusive.
> 
> Btw, it'd be very nice to have this for fuse4bsd (RFP #631657), which
> is intended to be DKMS-based.  Do you plan an upload of DKMS soon?

I just uploaded dkms 2.2.0.1-1 which already contains kfreebsd support.
Could you check if this is ok?

Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#631657; Package dkms. (Fri, 15 Jul 2011 13:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Fri, 15 Jul 2011 13:24:07 GMT) Full text and rfc822 format available.

Message #24 received at 631657@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Giuseppe Iuculano <iuculano@debian.org>
Cc: 631657@bugs.debian.org, DKMS maintainers <pkg-dkms-maint@lists.alioth.debian.org>
Subject: Re: [Pkg-dkms-maint] Bug#631657: new patch
Date: Fri, 15 Jul 2011 15:21:53 +0200
[Message part 1 (text/plain, inline)]
2011/7/15 Giuseppe Iuculano <iuculano@debian.org>:
> I just uploaded dkms 2.2.0.1-1 which already contains kfreebsd support.
> Could you check if this is ok?

Almost.  There are two bits missing.  First is the depmod command (it
is Linux-specific).  Second is a duplicate warning message.  See
attached patch, it is tested and known to work properly.

Thanks!

-- 
Robert Millan
[kfreebsd.diff (text/plain, attachment)]

Added indication that bug 631657 blocks 612498 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Fri, 15 Jul 2011 13:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#631657; Package dkms. (Fri, 15 Jul 2011 13:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Fri, 15 Jul 2011 13:54:06 GMT) Full text and rfc822 format available.

Message #31 received at 631657@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 631657@bugs.debian.org,control@bugs.debian.org,631657-submitter@bugs.debian.org
Subject: [6b2d392] Fix for Bug#631657 committed to git
Date: Fri, 15 Jul 2011 13:50:11 +0000
tags 631657 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Giuseppe Iuculano <iuculano@debian.org> on Fri, 15 Jul 2011 15:48:09 +0200.
 The fix will be in the next upload. 
=========================================================================
Run depmod command only in Linux

Closes: #631657
Thanks: Robert Millan
=========================================================================

You can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/dkms.git;a=commitdiff;h=6b2d392






Added tag(s) pending. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Fri, 15 Jul 2011 13:54:08 GMT) Full text and rfc822 format available.

Message sent on to Robert Millan <rmh@debian.org>:
Bug#631657. (Fri, 15 Jul 2011 13:54:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#631657; Package dkms. (Fri, 15 Jul 2011 14:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Fri, 15 Jul 2011 14:06:03 GMT) Full text and rfc822 format available.

Message #41 received at 631657@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Giuseppe Iuculano <iuculano@debian.org>, 631657-quiet@bugs.debian.org
Cc: 631657@bugs.debian.org, 631657-submitter@bugs.debian.org
Subject: Re: Bug#631657: [6b2d392] Fix for Bug#631657 committed to git
Date: Fri, 15 Jul 2011 16:02:26 +0200
Actually, ${uname_s} from my patch was renamed to ${current_os}.  My
test on GNU/kFreeBSD still worked because the empty string doesn't
match "Linux", but it will break on GNU/Linux.

Fix is just:

sed -i dkms -e s/uname_s/current_os/

-- 
Robert Millan




Information stored :
Bug#631657; Package dkms. (Fri, 15 Jul 2011 14:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and filed, but not forwarded. (Fri, 15 Jul 2011 14:06:06 GMT) Full text and rfc822 format available.

Message sent on to Robert Millan <rmh@debian.org>:
Bug#631657. (Fri, 15 Jul 2011 14:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#631657; Package dkms. (Fri, 15 Jul 2011 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Fri, 15 Jul 2011 14:15:03 GMT) Full text and rfc822 format available.

Message #54 received at 631657@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 631657@bugs.debian.org,control@bugs.debian.org,631657-submitter@bugs.debian.org
Subject: [85af971] Fix for Bug#631657 committed to git
Date: Fri, 15 Jul 2011 14:12:19 +0000
tags 631657 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Giuseppe Iuculano <iuculano@debian.org> on Fri, 15 Jul 2011 16:11:22 +0200.
 The fix will be in the next upload. 
=========================================================================
s/uname_s/current_os/

Closes: #631657
Thanks: Robert Millan
=========================================================================

You can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/dkms.git;a=commitdiff;h=85af971






Message sent on to Robert Millan <rmh@debian.org>:
Bug#631657. (Fri, 15 Jul 2011 14:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#631657; Package dkms. (Fri, 15 Jul 2011 14:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Fri, 15 Jul 2011 14:21:07 GMT) Full text and rfc822 format available.

Message #62 received at 631657@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 631657@bugs.debian.org,control@bugs.debian.org,631657-submitter@bugs.debian.org
Subject: [85af971] Fix for Bug#631657 committed to git
Date: Fri, 15 Jul 2011 14:17:41 +0000
tags 631657 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Giuseppe Iuculano <iuculano@debian.org> on Fri, 15 Jul 2011 16:11:22 +0200.
 The fix will be in the next upload. 
=========================================================================
s/uname_s/current_os/

Closes: #631657
Thanks: Robert Millan
=========================================================================

You can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/dkms.git;a=commitdiff;h=85af971






Message sent on to Robert Millan <rmh@debian.org>:
Bug#631657. (Fri, 15 Jul 2011 14:21:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#631657; Package dkms. (Fri, 15 Jul 2011 14:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Fri, 15 Jul 2011 14:36:05 GMT) Full text and rfc822 format available.

Message #70 received at 631657@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Giuseppe Iuculano <iuculano@debian.org>, 631657-quiet@bugs.debian.org
Cc: 631657@bugs.debian.org, 631657-submitter@bugs.debian.org
Subject: Re: Bug#631657: [85af971] Fix for Bug#631657 committed to git
Date: Fri, 15 Jul 2011 16:35:00 +0200
[Message part 1 (text/plain, inline)]
2011/7/15 Giuseppe Iuculano <iuculano@debian.org>:
> s/uname_s/current_os/

There are two instance of $uname_s in "dkms" file.  One of them was
already in that file before my last patch.

Here's a debian/patches/kfreebsd.patch that produces a correct "dkms".

-- 
Robert Millan
[kfreebsd.patch (text/x-diff, attachment)]

Information stored :
Bug#631657; Package dkms. (Fri, 15 Jul 2011 14:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and filed, but not forwarded. (Fri, 15 Jul 2011 14:36:07 GMT) Full text and rfc822 format available.

Message sent on to Robert Millan <rmh@debian.org>:
Bug#631657. (Fri, 15 Jul 2011 14:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#631657; Package dkms. (Fri, 15 Jul 2011 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Fri, 15 Jul 2011 14:48:03 GMT) Full text and rfc822 format available.

Message #83 received at 631657@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 631657-quiet@bugs.debian.org, 631657@bugs.debian.org
Subject: Re: Bug#631657: [85af971] Fix for Bug#631657 committed to git
Date: Fri, 15 Jul 2011 16:45:32 +0200
[Message part 1 (text/plain, inline)]
On 07/15/2011 04:35 PM, Robert Millan wrote:
> There are two instance of $uname_s in "dkms" file.  One of them was
> already in that file before my last patch.

Fixed, thanks!

Cheers,
Giuseppe

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Fri, 15 Jul 2011 15:06:27 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Fri, 15 Jul 2011 15:06:27 GMT) Full text and rfc822 format available.

Message #88 received at 631657-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 631657-close@bugs.debian.org
Subject: Bug#631657: fixed in dkms 2.2.0.1-2
Date: Fri, 15 Jul 2011 14:47:24 +0000
Source: dkms
Source-Version: 2.2.0.1-2

We believe that the bug you reported is fixed in the latest version of
dkms, which is due to be installed in the Debian FTP archive:

dkms_2.2.0.1-2.debian.tar.gz
  to main/d/dkms/dkms_2.2.0.1-2.debian.tar.gz
dkms_2.2.0.1-2.dsc
  to main/d/dkms/dkms_2.2.0.1-2.dsc
dkms_2.2.0.1-2_all.deb
  to main/d/dkms/dkms_2.2.0.1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631657@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated dkms package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 15 Jul 2011 16:00:05 +0200
Source: dkms
Binary: dkms
Architecture: source all
Version: 2.2.0.1-2
Distribution: unstable
Urgency: low
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 dkms       - Dynamic Kernel Module Support Framework
Closes: 631657
Changes: 
 dkms (2.2.0.1-2) unstable; urgency=low
 .
   * [6b2d392] Run depmod command only in Linux.
     Thanks to Robert Millan (Closes: #631657)
Checksums-Sha1: 
 2cbca0f35d680f660cd6c010bb8e424ab4dbd74a 1290 dkms_2.2.0.1-2.dsc
 0328fa5653bc8221b0d869cc99555e338386c5f8 14960 dkms_2.2.0.1-2.debian.tar.gz
 47db88e755312188d6e9588b57a6ea371630de5b 76954 dkms_2.2.0.1-2_all.deb
Checksums-Sha256: 
 a8eca317539acdd14490d1f1b2132b141f336a5e99433006ec8f090e3090757c 1290 dkms_2.2.0.1-2.dsc
 b4fe24c4fafc7b5f863d41563b8d00750ee4b20aad9ec30ce5b35091bc81ca37 14960 dkms_2.2.0.1-2.debian.tar.gz
 88dda7bc0038a1e8066103b0cbeb4148189c5e1bb47679e53e79c8c49a3053bf 76954 dkms_2.2.0.1-2_all.deb
Files: 
 d2323586c29b960297c0fc9ff3c1af97 1290 kernel optional dkms_2.2.0.1-2.dsc
 97439b48b12295d2561c00d90d5b309e 14960 kernel optional dkms_2.2.0.1-2.debian.tar.gz
 6ee81c67ae86eed6b5682e1f4745ba82 76954 kernel optional dkms_2.2.0.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4gS+oACgkQNxpp46476aoOcACZAZKblYjgh4UWNmi/xvmKu1iK
0zUAnj4R7DRfHPC+2Nexeqnm/13hW+hk
=wCyK
-----END PGP SIGNATURE-----





Information stored :
Bug#631657; Package dkms. (Fri, 15 Jul 2011 15:06:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and filed, but not forwarded. (Fri, 15 Jul 2011 15:06:31 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Aug 2011 07:34:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:23:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.